<script setup>
import { ref, defineProps } from 'vue';
import { useThemeStore } from "../stores/theme";

const themeStore = useThemeStore();

const props = defineProps({
  title: String,
  items: Array [
    {name: String, link: String}
  ]
})

const active = ref(false)
</script>

<template>
  <button @click="active = !active" type="button" class="flex items-center p-2 w-40 text-base font-normal w-full text-gray-900 rounded-lg transition duration-75 group hover:bg-gray-100" :class="themeStore.dark ? 'bg-blue-700 hover:bg-blue-800 text-white hover:bg-gray-700' : ''" aria-controls="dropdown-example" data-collapse-toggle="dropdown-example">
<!--    <svg class="flex-shrink-0 w-6 h-6 transition duration-75" :class="themeStore.dark ? 'text-gray-400 group-hover:text-white' : 'text-gray-500 group-hover:text-gray-900'" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M10 2a4 4 0 00-4 4v1H5a1 1 0 00-.994.89l-1 9A1 1 0 004 18h12a1 1 0 00.994-1.11l-1-9A1 1 0 0015 7h-1V6a4 4 0 00-4-4zm2 5V6a2 2 0 10-4 0v1h4zm-6 3a1 1 0 112 0 1 1 0 01-2 0zm7-1a1 1 0 100 2 1 1 0 000-2z" clip-rule="evenodd"></path></svg>-->
    <span class="flex-1 ml-3 text-left whitespace-nowrap" sidebar-toggle-item>{{ title }}</span>
    <svg sidebar-toggle-item class="w-6 h-6" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
  </button>
  <ul id="dropdown-example" class=" py-2 space-y-2 w-40" :class="active ? '' : 'hidden', themeStore.dark ? 'text-white bg-gray-600 hover:bg-gray-700' : 'text-gray-900 bg-gray-100'">
    <li v-for="item in items">
      <a :href="item.link" class="flex items-center p-2 pl-11 w-full text-base font-norma rounded-lg transition duration-75 group" :class="themeStore.dark ? 'text-white bg-gray-600 hover:bg-gray-700' : 'text-gray-900 bg-gray-100'">
        {{ item.name }}
      </a>
    </li>
  </ul>
</template>

